- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_phase_holder.h File Reference

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_qname.h>`
`#include <axutil_array_list.h>`
`#include <axis2_handler_desc.h>`
`#include <axis2_phase.h>`
`#include <axis2_phase_rule.h>`
`#include <axis2_handler.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_phase_holder | axis2_phase_holder_t
## Functions
AXIS2_EXTERN void | axis2_phase_holder_free (axis2_phase_holder_t *phase_holder, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_phase_holder_is_phase_exist (axis2_phase_holder_t *phase_holder, const axutil_env_t *env, const axis2_char_t *phase_name)
AXIS2_EXTERN axis2_status_t | axis2_phase_holder_add_handler (axis2_phase_holder_t *phase_holder, const axutil_env_t *env, struct axis2_handler_desc *handler)
AXIS2_EXTERN axis2_status_t | axis2_phase_holder_remove_handler (axis2_phase_holder_t *phase_holder, const axutil_env_t *env, struct axis2_handler_desc *handler)
AXIS2_EXTERN struct axis2_phase * | axis2_phase_holder_get_phase (const axis2_phase_holder_t *phase_holder, const axutil_env_t *env, const axis2_char_t *phase_name)
AXIS2_EXTERN axis2_status_t | axis2_phase_holder_build_transport_handler_chain (axis2_phase_holder_t *phase_holder, const axutil_env_t *env, struct axis2_phase *phase, axutil_array_list_t *handlers)
AXIS2_EXTERN axis2_phase_holder_t * | axis2_phase_holder_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_phase_holder_t * | axis2_phase_holder_create_with_phases (const axutil_env_t *env, axutil_array_list_t *phases)

## Detailed Description